Skip to main content
aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorAlexander Kurtakov2015-01-21 08:01:30 -0500
committerArun Thondapu2015-02-19 05:31:35 -0500
commit65466443204693677bb7bbe41fdaa019993f0760 (patch)
tree603ddece6b033ec1246bf3efe0e36148bac743c8 /launcher-binary-parent/pom.xml
parent20498a2046e9057162d528aa90e474d98b04640a (diff)
downloadrt.equinox.framework-65466443204693677bb7bbe41fdaa019993f0760.tar.gz
rt.equinox.framework-65466443204693677bb7bbe41fdaa019993f0760.tar.xz
rt.equinox.framework-65466443204693677bb7bbe41fdaa019993f0760.zip
Bug 458034 - Update maven pluginsI20150224-0800
Use versions of maven-antrun-plugin and maven-resources-plugin as specified in eclipse-parent pom pluginManagement - just don't specify one in poms and it's inherited from parent. Drop useless dependency on ant-apache-bsf, bsf, ant-nodeps and rhino - nothing needs them in the build here. It looks like this has been copy pasted from swt.binaries where they are actually needed. Change-Id: Ifd652ac9e0a8a20789101597c947686023d17f3a Signed-off-by: Alexander Kurtakov <akurtako@redhat.com>
Diffstat (limited to 'launcher-binary-parent/pom.xml')
-rw-r--r--launcher-binary-parent/pom.xml23
1 files changed, 0 insertions, 23 deletions
diff --git a/launcher-binary-parent/pom.xml b/launcher-binary-parent/pom.xml
index f595558ae..5435041ae 100644
--- a/launcher-binary-parent/pom.xml
+++ b/launcher-binary-parent/pom.xml
@@ -39,7 +39,6 @@
</plugin>
<plugin>
<artifactId>maven-antrun-plugin</artifactId>
- <version>1.7</version>
<executions>
<execution>
<id>copy-launcher-natives</id>
@@ -61,28 +60,6 @@
</goals>
</execution>
</executions>
- <dependencies>
- <dependency>
- <groupId>bsf</groupId>
- <artifactId>bsf</artifactId>
- <version>2.4.0</version>
- </dependency>
- <dependency>
- <groupId>rhino</groupId>
- <artifactId>js</artifactId>
- <version>1.7R2</version>
- </dependency>
- <dependency>
- <groupId>org.apache.ant</groupId>
- <artifactId>ant-apache-bsf</artifactId>
- <version>1.8.3</version>
- </dependency>
- <dependency>
- <groupId>org.apache.ant</groupId>
- <artifactId>ant-nodeps</artifactId>
- <version>1.8.1</version>
- </dependency>
- </dependencies>
</plugin>
</plugins>
</build>

Back to the top